MCP Tools Reference: slidesmcp.googleapis.com

כלי: read_presentation

קריאת ייצוג JSON של מצגת ב-Google Slides.

תואם ל-presentations.get ב-REST API.

בדוגמה הבאה אפשר לראות איך משתמשים ב-curl כדי להפעיל את כלי ה-MCP‏ read_presentation.

בקשת Curl
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

סכימת הקלט

בקשה לקרוא מצגת.

ReadPresentationRequest

ייצוג JSON
{
  "presentationId": string
}
שדות
presentationId

string

חובה. המזהה של המצגת שממנה רוצים לקרוא את התוכן.

סכימת הפלט

תגובה שמכילה את הייצוג של המצגת ב-JSON.

ReadPresentationResponse

ייצוג JSON
{
  "content": string
}
שדות
content

string

ייצוג ב-JSON של מצגת ב-Google Slides.

הערות על כלים

רמז הרסני: ❌ | רמז אידמפוטנטי: ✅ | רמז לקריאה בלבד: ✅ | רמז לעולם פתוח: ✅